Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.shapes
Class Line

    java.lang.Object
      |
      +--com.vistech.shapes.Shapes
            |
            +--com.vistech.shapes.Line

All Implemented Interfaces:
  java.lang.Cloneable, Drawable, java.io.Serializable

public class Line
extends Shapes
implements Drawable

Represents a interactively drawable line.

Version:
  1.0 29 July 2001
Author:
  Larry Rodrigues
See Also:
  Serialized Form

Field Summary
`protected double` | `slope`
`protected int` | `tol`

Fields inherited from class com.vistech.shapes.Shapes
`basicStroke, cur, drawingColor, fillColor, fillOn, font, path, shapeCount, smallRectsOn, st`

Fields inherited from interface com.vistech.shapes.Drawable
`ANNOTEXT, ARROW, BOX, CUBIC_CURVE, CURVE, DOUBLE_HEADED_ARROW, ELLIPSE, LINE, NONE, POLYGON`

Constructor Summary
`Line()`

Method Summary
`boolean` | `contains(java.awt.Graphics2D g, int x, int y)` Vhecks whether the specified point contained in the shape.
`void` | `draw(java.awt.Graphics2D g)` Draws the shape again
`void` | `drawInteractive(java.awt.Graphics2D g)` Draws an Line interactively on a Graphics context g.
`void` | `drawPermanent(java.awt.Graphics2D g)` Draws an Line on a Graphics context g.
`void` | `drawSmallRects(java.awt.Graphics2D g)` Draws small rectangle at the shape corners to indicate that the shape is active.
`void` | `erase(java.awt.Graphics2D g)` Erase the shape.
`void` | `init(int x, int y)` Initializes the Line parameters.
`void` | `move(java.awt.Graphics2D g, int diffx, int diffy)` Moves the shape by a specified displacement.
`void` | `setCurrentPosition(java.awt.Point cp)` Sets the current position.

Methods inherited from class com.vistech.shapes.Shapes
`contains, copy, getCurrentPosition, getDrawingColor, getFillColor, getFillOn, getFont, getGeneralPath, getShapeCount, getSmallRectsOn, getStartPosition, getStroke, setDrawingColor, setFillColor, setFillOn, setFont, setGeneralPath, setShapeCount, setSmallRectsOn, setStartPosition, setStroke`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tol

    protected int tol

### slope

    protected double slope

Constructor Detail

### Line

    public Line()

Method Detail

### init

    public void init(int x,
                     int y)

  Initializes the Line parameters. The arguments provide the starting position of the Line.
  Specified by:
    `init` in interface `Drawable`
  Overrides:
    `init` in class `Shapes`
  Parameters:
    `x` - the x coordinate of the starting position.
    `y` - the y coordinate of the starting poistion.

### setCurrentPosition

    public void setCurrentPosition(java.awt.Point cp)

  Sets the current position.
  Specified by:
    `setCurrentPosition` in interface `Drawable`
  Overrides:
    `setCurrentPosition` in class `Shapes`
  Parameters:
    `x` - the x coordinate of the current position.
    `y` - the y coordinate of the current poistion.

### drawInteractive

    public void drawInteractive(java.awt.Graphics2D g)

  Draws an Line interactively on a Graphics context g. This API does not check whether the Line overflows the borders of the component. This method uses the XOR paint mode. It erases the previously drawn shape and draws a new shape in its place.
  Specified by:
    `drawInteractive` in interface `Drawable`
  Parameters:
    `g` - the graphics object on which the shape is to be drawn.

### drawPermanent

    public void drawPermanent(java.awt.Graphics2D g)

  Draws an Line on a Graphics context g. This API does not check whether the Box overflows the borders of the component.
  Parameters:
    `g` - the graphics object on which the shape is to be drawn.

### draw

    public void draw(java.awt.Graphics2D g)

  Draws the shape again
  Specified by:
    `draw` in interface `Drawable`
  Parameters:
    `g` - the graphics object over which the shape is drawn.

### erase

    public void erase(java.awt.Graphics2D g)

  Description copied from interface: `Drawable`
  Erase the shape.
  Specified by:
    `erase` in interface `Drawable`
  Following copied from interface: `com.vistech.shapes.Drawable`
  Parameters:
    `g` - the graphcs context on which the shape was drawn.

### contains

    public boolean contains(java.awt.Graphics2D g,
                            int x,
                            int y)

  Description copied from class: `Shapes`
  Vhecks whether the specified point contained in the shape.
  Overrides:
    `contains` in class `Shapes`
  Following copied from class: `com.vistech.shapes.Shapes`
  Parameters:
    `g` - the graphics context on which the shape was drawn.
    `x` - the coordinate of the point that is being checked for containment.
    `y` - the coordinate of the point that is being checked for containment.

### drawSmallRects

    public void drawSmallRects(java.awt.Graphics2D g)

  Description copied from class: `Shapes`
  Draws small rectangle at the shape corners to indicate that the shape is active. For example, a shape that is being moved is surrounded by small rectagles at the shape corners. small rectab
  Overrides:
    `drawSmallRects` in class `Shapes`
  Following copied from class: `com.vistech.shapes.Shapes`
  Parameters:
    `g` - the graphics context on which the shape was drawn.

### move

    public void move(java.awt.Graphics2D g,
                     int diffx,
                     int diffy)

  Description copied from interface: `Drawable`
  Moves the shape by a specified displacement.
  Specified by:
    `move` in interface `Drawable`
  Following copied from interface: `com.vistech.shapes.Drawable`
  Parameters:
    `x` - the displacement.
    `y` - the displacement.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD